LibOFX: libofx.h File Reference

LibOFX

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
libofx-0.10.8/inc/libofx.h File Reference

Main header file containing the LibOfx API. More...

Go to the source code of this file.

## Data Structures
struct | LibofxFileFormatInfo
struct | OfxStatusData
| An abstraction of an OFX STATUS element. More...
struct | OfxAccountData
| An abstraction of an account. More...
struct | OfxSecurityData
| An abstraction of a security, such as a stock, mutual fund, etc. More...
struct | OfxTransactionData
| An abstraction of a transaction in an account. More...
struct | OfxStatementData
| An abstraction of an account statement. More...
struct | OfxCurrency
| NOT YET SUPPORTED. More...
struct | OfxPositionData
| An abstraction of a security position held in an account. More...
struct | OfxFiServiceInfo
| Information returned by the OFX Partner Server about a financial institution. More...
struct | OfxFiLogin
| Information sufficient to log into an financial institution. More...
struct | OfxPayment
struct | OfxPayee

## Macros
#define | LIBOFX_MAJOR_VERSION 0
#define | LIBOFX_MINOR_VERSION 10
#define | LIBOFX_MICRO_VERSION 8
#define | LIBOFX_BUILD_VERSION 0
#define | LIBOFX_VERSION_RELEASE_STRING "0.10.8"
#define | LIBOFX_API
#define | true 1
#define | false 0
#define | OFX_ELEMENT_NAME_LENGTH 100
#define | OFX_SVRTID2_LENGTH (36 + 1)
#define | OFX_CHECK_NUMBER_LENGTH (12 + 1)
#define | OFX_REFERENCE_NUMBER_LENGTH (32 + 1)
#define | OFX_FITID_LENGTH (255 + 1)
#define | OFX_TOKEN2_LENGTH (36 + 1)
#define | OFX_MEMO_LENGTH (255 + 1)
#define | OFX_FIID_LENGTH (32 + 1)
#define | OFX_MEMO2_LENGTH (390 + 1)
#define | OFX_BALANCE_NAME_LENGTH (32 + 1)
#define | OFX_BALANCE_DESCRIPTION_LENGTH (80 + 1)
#define | OFX_CURRENCY_LENGTH (3 + 1) /* In ISO-4217 format */
#define | OFX_BANKID_LENGTH (9 + 1)
#define | OFX_BRANCHID_LENGTH (22 + 1)
#define | OFX_ACCTID_LENGTH (22 + 1)
#define | OFX_ACCTKEY_LENGTH (22 + 1)
#define | OFX_BROKERID_LENGTH (22 + 1)
#define | OFX_ACCOUNT_ID_LENGTH (OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)
#define | OFX_ACCOUNT_NAME_LENGTH 255
#define | OFX_MARKETING_INFO_LENGTH (360 + 1)
#define | OFX_TRANSACTION_NAME_LENGTH (96 + 1)
#define | OFX_UNIQUE_ID_LENGTH (32 + 1)
#define | OFX_UNIQUE_ID_TYPE_LENGTH (10 + 1)
#define | OFX_SECNAME_LENGTH (120 + 1)
#define | OFX_TICKER_LENGTH (32 + 1)
#define | OFX_ORG_LENGTH (32 + 1)
#define | OFX_FID_LENGTH (32 + 1)
#define | OFX_USERID_LENGTH (32 + 1)
#define | OFX_USERPASS_LENGTH (32 + 1)
#define | OFX_URL_LENGTH (500 + 1)
#define | OFX_APPID_LENGTH (32)
#define | OFX_APPVER_LENGTH (32)
#define | OFX_HEADERVERSION_LENGTH (32)
#define | OFX_CLIENTUID_LENGTH (36 + 1)
#define | OFX_SECURITY_RATING_LENGTH (32 + 1)
#define | OFX_FIASSET_CLASS_LENGTH (32 + 1)
#define | OFX_LOANID_LENGTH (32 + 1)

## Typedefs
typedef void * | LibofxContextPtr
typedef int(* | LibofxProcStatusCallback) (const struct OfxStatusData data, void *status_data)
| The callback function for the OfxStatusData structure. More...
typedef int(* | LibofxProcAccountCallback) (const struct OfxAccountData data, void *account_data)
| The callback function for the OfxAccountData structure. More...
typedef int(* | LibofxProcSecurityCallback) (const struct OfxSecurityData data, void *security_data)
| The callback function for the OfxSecurityData structure. More...
typedef int(* | LibofxProcTransactionCallback) (const struct OfxTransactionData data, void *transaction_data)
| The callback function for the OfxTransactionData structure. More...
typedef int(* | LibofxProcStatementCallback) (const struct OfxStatementData data, void *statement_data)
| The callback function for the OfxStatementData structure. More...
typedef int(* | LibofxProcPositionCallback) (const struct OfxPositionData data, void *position_data)
| The callback function for the OfxPositionData structure. More...

## Enumerations
enum | LibofxFileFormat { AUTODETECT, OFX, OFC, QIF, UNKNOWN, LAST, AUTODETECT, OFX, OFC, QIF, UNKNOWN, LAST }
enum | TransactionType { OFX_CREDIT, OFX_DEBIT, OFX_INT, OFX_DIV, OFX_FEE, OFX_SRVCHG, OFX_DEP, OFX_ATM, OFX_POS, OFX_XFER, OFX_CHECK, OFX_PAYMENT, OFX_CASH, OFX_DIRECTDEP, OFX_DIRECTDEBIT, OFX_REPEATPMT, OFX_OTHER, OFX_CREDIT, OFX_DEBIT, OFX_INT, OFX_DIV, OFX_FEE, OFX_SRVCHG, OFX_DEP, OFX_ATM, OFX_POS, OFX_XFER, OFX_CHECK, OFX_PAYMENT, OFX_CASH, OFX_DIRECTDEP, OFX_DIRECTDEBIT, OFX_REPEATPMT, OFX_OTHER }
enum | InvTransactionType { OFX_BUYDEBT, OFX_BUYMF, OFX_BUYOPT, OFX_BUYOTHER, OFX_BUYSTOCK, OFX_CLOSUREOPT, OFX_INCOME, OFX_INVEXPENSE, OFX_JRNLFUND, OFX_JRNLSEC, OFX_MARGININTEREST, OFX_REINVEST, OFX_RETOFCAP, OFX_SELLDEBT, OFX_SELLMF, OFX_SELLOPT, OFX_SELLOTHER, OFX_SELLSTOCK, OFX_SPLIT, OFX_TRANSFER, OFX_INVBANKTRAN, OFX_BUYDEBT, OFX_BUYMF, OFX_BUYOPT, OFX_BUYOTHER, OFX_BUYSTOCK, OFX_CLOSUREOPT, OFX_INCOME, OFX_INVEXPENSE, OFX_JRNLFUND, OFX_JRNLSEC, OFX_MARGININTEREST, OFX_REINVEST, OFX_RETOFCAP, OFX_SELLDEBT, OFX_SELLMF, OFX_SELLOPT, OFX_SELLOTHER, OFX_SELLSTOCK, OFX_SPLIT, OFX_TRANSFER, OFX_INVBANKTRAN }
enum | FiIdCorrectionAction { DELETE, REPLACE, DELETE, REPLACE }

## Functions
LibofxContextPtr | libofx_get_new_context ()
| Initialise the library and return a new context. More...
int | libofx_free_context (LibofxContextPtr)
| Free all resources used by this context. More...
void | libofx_set_dtd_dir (LibofxContextPtr libofx_context, const char *s)
enum LibofxFileFormat | libofx_get_file_format_from_str (const struct LibofxFileFormatInfo format_list[], const char *file_type_string)
| libofx_get_file_type returns a proper enum from a file type string. More...
const char * | libofx_get_file_format_description (const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)
| get_file_format_description returns a string description of a LibofxFileType. More...
int | libofx_proc_file (LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)
| libofx_proc_file is the entry point of the library. More...
void | ofx_set_status_cb (LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)
void | ofx_set_account_cb (LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)
void | ofx_set_security_cb (LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)
void | ofx_set_transaction_cb (LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)
void | ofx_set_statement_cb (LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)
void | ofx_set_position_cb (LibofxContextPtr ctx, LibofxProcPositionCallback cb, void *user_data)

## Variables
const struct LibofxFileFormatInfo | LibofxImportFormatList []
const struct LibofxFileFormatInfo | LibofxExportFormatList []

## Creating OFX Files
Parses the content of the given buffer. This group deals with creating OFX files
#define | OFX_AMOUNT_LENGTH (32 + 1)
#define | OFX_PAYACCT_LENGTH (32 + 1)
#define | OFX_STATE_LENGTH (5 + 1)
#define | OFX_POSTALCODE_LENGTH (11 + 1)
#define | OFX_NAME_LENGTH (32 + 1)
LIBOFX_API int | ofx_PARSER_msg
LIBOFX_API int | ofx_DEBUG_msg
LIBOFX_API int | ofx_DEBUG1_msg
LIBOFX_API int | ofx_DEBUG2_msg
LIBOFX_API int | ofx_DEBUG3_msg
LIBOFX_API int | ofx_DEBUG4_msg
LIBOFX_API int | ofx_DEBUG5_msg
LIBOFX_API int | ofx_STATUS_msg
LIBOFX_API int | ofx_INFO_msg
LIBOFX_API int | ofx_WARNING_msg
LIBOFX_API int | ofx_ERROR_msg
LIBOFX_API int | ofx_show_position
char * | libofx_request_statement (const struct OfxFiLogin *fi, const struct OfxAccountData *account, time_t date_from)
| Creates an OFX statement request in string form. More...
char * | libofx_request_accountinfo (const struct OfxFiLogin *login)
| Creates an OFX account info (list) request in string form. More...
char * | libofx_request_payment (const struct OfxFiLogin *login, const struct OfxAccountData *account, const struct OfxPayee *payee, const struct OfxPayment *payment)
char * | libofx_request_payment_status (const struct OfxFiLogin *login, const char *transactionid)

## Detailed Description

Main header file containing the LibOfx API.

This file should be included for all applications who use this API. This header file will work with both C and C++ programs. The entire API is made of the following structures and functions.

All of the following ofx_proc_* functions are callbacks (Except ofx_proc_file which is the entry point). They must be implemented by your program, but can be left empty if not needed. They are called each time the associated structure is filled by the library.

Important note: The variables associated with every data element have a _valid companion. Always check that data_valid == true before using. Not only will you ensure that the data is meaningful, but also that pointers are valid and strings point to a null terminated string. Elements listed as mandatory are for information purpose only, do not trust the bank not to send you non-conforming data...

Definition in file libofx-0.10.8/inc/libofx.h.

## Typedef Documentation

## ◆ LibofxProcAccountCallback

typedef int(* LibofxProcAccountCallback) (const struct OfxAccountData data, void *account_data)

The callback function for the OfxAccountData structure.

The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An OfxAccountData is passed to this event.

Note however that this OfxAccountData structure will also be available as part of OfxStatementData structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure.

Definition at line 360 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxProcPositionCallback

typedef int(* LibofxProcPositionCallback) (const struct OfxPositionData data, void *position_data)

The callback function for the OfxPositionData structure.

The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An OfxStatementData is passed to this event, as well as a pointer to an arbitrary data structure.

Definition at line 1281 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxProcSecurityCallback

typedef int(* LibofxProcSecurityCallback) (const struct OfxSecurityData data, void *security_data)

The callback function for the OfxSecurityData structure.

An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData.

An OfxSecurityData structure is passed to this event, as well as a pointer to an arbitrary data structure.

Definition at line 631 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxProcStatementCallback

typedef int(* LibofxProcStatementCallback) (const struct OfxStatementData data, void *statement_data)

The callback function for the OfxStatementData structure.

The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An OfxStatementData is passed to this event, as well as a pointer to an arbitrary data structure.

Definition at line 1153 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxProcStatusCallback

typedef int(* LibofxProcStatusCallback) (const struct OfxStatusData data, void *status_data)

The callback function for the OfxStatusData structure.

An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An OfxStatusData structure is passed to this event, as well as a pointer to an arbitrary data structure.

Definition at line 274 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxProcTransactionCallback

typedef int(* LibofxProcTransactionCallback) (const struct OfxTransactionData data, void *transaction_data)

The callback function for the OfxTransactionData structure.

An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An OfxTransactionData structure is passed to this event, as well as a pointer to an arbitrary data structure.

Definition at line 1057 of file libofx-0.10.8/inc/libofx.h.

## Enumeration Type Documentation

## ◆ FiIdCorrectionAction

enum FiIdCorrectionAction

Enumerator
DELETE | The transaction with a fi_id matching fi_id_corrected should be deleted
REPLACE | The transaction with a fi_id matching fi_id_corrected should be replaced with this one
DELETE | The transaction with a fi_id matching fi_id_corrected should be deleted
REPLACE | The transaction with a fi_id matching fi_id_corrected should be replaced with this one

Definition at line 679 of file libofx-0.10.8/inc/libofx.h.

## ◆ InvTransactionType

enum InvTransactionType

Enumerator
OFX_BUYDEBT | Buy debt security
OFX_BUYMF | Buy mutual fund
OFX_BUYOPT | Buy option
OFX_BUYOTHER | Buy other security type
OFX_BUYSTOCK | Buy stock
OFX_CLOSUREOPT | Close a position for an option
OFX_INCOME | Investment income is realized as cash into the investment account
OFX_INVEXPENSE | Misc investment expense that is associated with a specific security
OFX_JRNLFUND | Journaling cash holdings between subaccounts within the same investment account
OFX_JRNLSEC | Journaling security holdings between subaccounts within the same investment account
OFX_MARGININTEREST | Margin interest expense
OFX_REINVEST | Reinvestment of income
OFX_RETOFCAP | Return of capital
OFX_SELLDEBT | Sell debt security. Used when debt is sold, called, or reached maturity
OFX_SELLMF | Sell mutual fund
OFX_SELLOPT | Sell option
OFX_SELLOTHER | Sell other type of security
OFX_SELLSTOCK | Sell stock
OFX_SPLIT | Stock or mutial fund split
OFX_TRANSFER | Transfer holdings in and out of the investment account
OFX_INVBANKTRAN | Transfer cash in and out of the investment account
OFX_BUYDEBT | Buy debt security
OFX_BUYMF | Buy mutual fund
OFX_BUYOPT | Buy option
OFX_BUYOTHER | Buy other security type
OFX_BUYSTOCK | Buy stock
OFX_CLOSUREOPT | Close a position for an option
OFX_INCOME | Investment income is realized as cash into the investment account
OFX_INVEXPENSE | Misc investment expense that is associated with a specific security
OFX_JRNLFUND | Journaling cash holdings between subaccounts within the same investment account
OFX_JRNLSEC | Journaling security holdings between subaccounts within the same investment account
OFX_MARGININTEREST | Margin interest expense
OFX_REINVEST | Reinvestment of income
OFX_RETOFCAP | Return of capital
OFX_SELLDEBT | Sell debt security. Used when debt is sold, called, or reached maturity
OFX_SELLMF | Sell mutual fund
OFX_SELLOPT | Sell option
OFX_SELLOTHER | Sell other type of security
OFX_SELLSTOCK | Sell stock
OFX_SPLIT | Stock or mutial fund split
OFX_TRANSFER | Transfer holdings in and out of the investment account
OFX_INVBANKTRAN | Transfer cash in and out of the investment account

Definition at line 654 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxFileFormat

enum LibofxFileFormat

List of possible file formats

Enumerator
AUTODETECT | Not really a file format, used to tell the library to try to autodetect the format
OFX | Open Financial eXchange (OFX/QFX) file
OFC | Microsoft Open Financial Connectivity (OFC)
QIF | Intuit Quicken Interchange Format (QIF)
UNKNOWN | Unknown file format
LAST | Not a file format, meant as a loop breaking condition
AUTODETECT | Not really a file format, used to tell the library to try to autodetect the format
OFX | Open Financial eXchange (OFX/QFX) file
OFC | Microsoft Open Financial Connectivity (OFC)
QIF | Intuit Quicken Interchange Format (QIF)
UNKNOWN | Unknown file format
LAST | Not a file format, meant as a loop breaking condition

Definition at line 137 of file libofx-0.10.8/inc/libofx.h.

## ◆ TransactionType

enum TransactionType

Enumerator
OFX_CREDIT | Generic credit
OFX_DEBIT | Generic debit
OFX_INT | Interest earned or paid (Note: Depends on signage of amount)
OFX_DIV | Dividend
OFX_FEE | FI fee
OFX_SRVCHG | Service charge
OFX_DEP | Deposit
OFX_ATM | ATM debit or credit (Note: Depends on signage of amount)
OFX_POS | Point of sale debit or credit (Note: Depends on signage of amount)
OFX_XFER | Transfer
OFX_CHECK | Check
OFX_PAYMENT | Electronic payment
OFX_CASH | Cash withdrawal
OFX_DIRECTDEP | Direct deposit
OFX_DIRECTDEBIT | Merchant initiated debit
OFX_REPEATPMT | Repeating payment/standing order
OFX_OTHER | Somer other type of transaction
OFX_CREDIT | Generic credit
OFX_DEBIT | Generic debit
OFX_INT | Interest earned or paid (Note: Depends on signage of amount)
OFX_DIV | Dividend
OFX_FEE | FI fee
OFX_SRVCHG | Service charge
OFX_DEP | Deposit
OFX_ATM | ATM debit or credit (Note: Depends on signage of amount)
OFX_POS | Point of sale debit or credit (Note: Depends on signage of amount)
OFX_XFER | Transfer
OFX_CHECK | Check
OFX_PAYMENT | Electronic payment
OFX_CASH | Cash withdrawal
OFX_DIRECTDEP | Direct deposit
OFX_DIRECTDEBIT | Merchant initiated debit
OFX_REPEATPMT | Repeating payment/standing order
OFX_OTHER | Somer other type of transaction

Definition at line 633 of file libofx-0.10.8/inc/libofx.h.

## Function Documentation

## ◆ libofx_free_context()

int libofx_free_context | ( | LibofxContextPtr |  | ) |

Free all resources used by this context.

Returns
  0 if successful.

Definition at line 170 of file context.cpp.

## ◆ libofx_get_file_format_description()

const char* libofx_get_file_format_description | ( | const struct LibofxFileFormatInfo | format_list[],
|  | enum LibofxFileFormat | file_format
| ) |  |

get_file_format_description returns a string description of a LibofxFileType.

@format_list The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList

@file_format The file format which should match one of the formats in the list.

Returns
  null terminated string suitable for debugging output or user communication.

Definition at line 36 of file file_preproc.cpp.

Referenced by libofx_proc_file().

## ◆ libofx_get_file_format_from_str()

enum LibofxFileFormat libofx_get_file_format_from_str | ( | const struct LibofxFileFormatInfo | format_list[],
|  | const char * | file_type_string
| ) |  |

libofx_get_file_type returns a proper enum from a file type string.

@format_list The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList

@file_type_string The string which contain the file format matching one of the format_name of the list.

Returns
  the file format, or UNKNOWN if the format wasn't recognised.

Definition at line 53 of file file_preproc.cpp.

## ◆ libofx_get_new_context()

LibofxContextPtr libofx_get_new_context | ( |  | ) |

Initialise the library and return a new context.

Returns
  the new context, to be used by the other functions.

Note
  : Actual object returned is LibofxContext *

Definition at line 165 of file context.cpp.

## ◆ libofx_proc_file()

int libofx_proc_file | ( | LibofxContextPtr | libofx_context,
|  | const char * | p_filename,
|  | enum LibofxFileFormat | ftype
| ) |  |

libofx_proc_file is the entry point of the library.

libofx_proc_file must be called by the client, with 1 OFX file to be parsed in command line format.

Returns
  0 on successful parsing, -1 on any error (see debug log)

Definition at line 66 of file file_preproc.cpp.

## ◆ libofx_request_accountinfo()

char* libofx_request_accountinfo | ( | const struct OfxFiLogin * | login | ) |

Creates an OFX account info (list) request in string form.

Creates a string which should be passed to an OFX server. This string is an OFX request suitable to retrieve a list of accounts from the `fi`

Parameters

  fi | Identifies the financial institution and the user logging in.

Returns
  string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free.

## ◆ libofx_request_statement()

char* libofx_request_statement | ( | const struct OfxFiLogin * | fi,
|  | const struct OfxAccountData * | account,
|  | time_t | date_from
| ) |  |

Creates an OFX statement request in string form.

Creates a string which should be passed to an OFX server. This string is an OFX request suitable to retrieve a statement for the `account` from the `fi`

Parameters

  fi | Identifies the financial institution and the user logging in.
  account | Idenfities the account for which a statement is desired

Returns
  string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free.

## ◆ ofx_set_account_cb()

void ofx_set_account_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcAccountCallback | cb,
|  | void * | user_data
| ) |  |

Set the account callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 198 of file context.cpp.

## ◆ ofx_set_position_cb()

void ofx_set_position_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcPositionCallback | cb,
|  | void * | user_data
| ) |  |

Set the position callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 233 of file context.cpp.

## ◆ ofx_set_security_cb()

void ofx_set_security_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcSecurityCallback | cb,
|  | void * | user_data
| ) |  |

Set the security callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 207 of file context.cpp.

## ◆ ofx_set_statement_cb()

void ofx_set_statement_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcStatementCallback | cb,
|  | void * | user_data
| ) |  |

Set the statement callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 225 of file context.cpp.

## ◆ ofx_set_status_cb()

void ofx_set_status_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcStatusCallback | cb,
|  | void * | user_data
| ) |  |

Set the status callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 190 of file context.cpp.

## ◆ ofx_set_transaction_cb()

void ofx_set_transaction_cb | ( | LibofxContextPtr | ctx,
|  | LibofxProcTransactionCallback | cb,
|  | void * | user_data
| ) |  |

Set the transaction callback in the given context.

Parameters

  ctx | context
  cb | callback function
  user_data | user data to be passed to the callback

Definition at line 216 of file context.cpp.

## Variable Documentation

## ◆ LibofxExportFormatList

const struct LibofxFileFormatInfo LibofxExportFormatList[]

Initial value:
=
{
{QIF, "QIF", "QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"},
{LAST, "LAST", "Not a file format, meant as a loop breaking condition"}
}

Definition at line 166 of file libofx-0.10.8/inc/libofx.h.

## ◆ LibofxImportFormatList

const struct LibofxFileFormatInfo LibofxImportFormatList[]

Initial value:
=
{
{AUTODETECT, "AUTODETECT", "AUTODETECT (File format will be automatically detected later)"},
{OFX, "OFX", "OFX (Open Financial eXchange (OFX or QFX))"},
{OFC, "OFC", "OFC (Microsoft Open Financial Connectivity)"},
{QIF, "QIF", "QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"},
{LAST, "LAST", "Not a file format, meant as a loop breaking condition"}
}

Definition at line 157 of file libofx-0.10.8/inc/libofx.h.

## ◆ ofx_DEBUG1_msg

LIBOFX_API int ofx_DEBUG1_msg

If set to true, debug level 1 messages will be printed to the console

Definition at line 38 of file messages.cpp.

## ◆ ofx_DEBUG2_msg

LIBOFX_API int ofx_DEBUG2_msg

If set to true, debug level 2 messages will be printed to the console

Definition at line 39 of file messages.cpp.

## ◆ ofx_DEBUG3_msg

LIBOFX_API int ofx_DEBUG3_msg

If set to true, debug level 3 messages will be printed to the console

Definition at line 40 of file messages.cpp.

## ◆ ofx_DEBUG4_msg

LIBOFX_API int ofx_DEBUG4_msg

If set to true, debug level 4 messages will be printed to the console

Definition at line 41 of file messages.cpp.

## ◆ ofx_DEBUG5_msg

LIBOFX_API int ofx_DEBUG5_msg

If set to true, debug level 5 messages will be printed to the console

Definition at line 42 of file messages.cpp.

## ◆ ofx_DEBUG_msg

LIBOFX_API int ofx_DEBUG_msg

If set to true, general debug messages will be printed to the console

Definition at line 37 of file messages.cpp.

Referenced by message_out().

## ◆ ofx_ERROR_msg

LIBOFX_API int ofx_ERROR_msg

If set to true, error messages will be printed to the console

Definition at line 46 of file messages.cpp.

## ◆ ofx_INFO_msg

LIBOFX_API int ofx_INFO_msg

If set to true, information messages will be printed to the console

Definition at line 44 of file messages.cpp.

## ◆ ofx_PARSER_msg

LIBOFX_API int ofx_PARSER_msg

If set to true, parser events will be printed to the console

Definition at line 36 of file messages.cpp.

## ◆ ofx_show_position

LIBOFX_API int ofx_show_position

If set to true, the line number will be shown after any error

Definition at line 47 of file messages.cpp.

## ◆ ofx_STATUS_msg

LIBOFX_API int ofx_STATUS_msg

If set to true, status messages will be printed to the console

Definition at line 43 of file messages.cpp.

## ◆ ofx_WARNING_msg

LIBOFX_API int ofx_WARNING_msg

If set to true, warning messages will be printed to the console

Definition at line 45 of file messages.cpp.

LAST
@ LAST
Definition: libofx-0.10.8/inc/libofx.h:144
AUTODETECT
@ AUTODETECT
Definition: libofx-0.10.8/inc/libofx.h:139
QIF
@ QIF
Definition: libofx-0.10.8/inc/libofx.h:142
OFC
@ OFC
Definition: libofx-0.10.8/inc/libofx.h:141
OFX
@ OFX
Definition: libofx-0.10.8/inc/libofx.h:140